// FILENAME:	DM_MINO_LAND.cs
//
// AUTHOR:  	Gen. Stormtrooper MIB
//--------------------tell-me-if-u-like-this-scipt---------------------------------------------

$missionName = "Mino_Land";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
}

function setDefaultMissionItems()
{  
      allowVehicle(  all, FALSE  );
      allowVehicle(  2, TRUE  );
      allowVehicle(  11, TRUE  );
      allowComponent( all, TRUE );
	allowWeapon( all, TRUE );
}

function onMissionStart()
{
	iceSounds();
      $body = getObjectId("MissionGroup\\Body");
      $head = getObjectId("MissionGroup\\Head");
      $brain = getObjectId("MissionGroup\\brain");
      order(getObjectId("MissionGroup\\brain"), guard, getObjectId("MissionGroup\\Path")); 
      tag();
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Mino Land! You can download this & other missions made by Gen. Stormtrooper [M.I.B.] in the \"MIB Map Packs\" at www.starsiegeplayers.com or on the MIB Website at www.starsiegemeninblack.cjb.net.");
}

function RadToDeg(%radians)
{
   %degrees = (%radians * 180) / (22 / 7);
   return %degrees;
}

function tag()
{
   %rot = getPosition($brain, rot);
   %angle = RadToDeg(%rot);
   %x = getPosition($brain, x);
   %y = getPosition($brain, y);
   %z = getTerrainHeight(%x, %y);
   setPosition($body, %x, %y, %z, %angle);
   setPosition($head, %x, %y, %z + 8.2, %angle);
   schedule("tag();", 0.01 );
}