// FILENAME:	DM_Mai_Lay_Dan.cs
//
// AUTHOR:  	Com. Sentinal [M.I.B.]
//
// This map was chosen to recreate the feel of an old ATR2 map.
//------------------------------------------------------------------------------

$missionName = "DM_Mai_Lay_Dan";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = -2444;
$server::HudMapViewOffsetY = 2165;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
   temperateSounds();
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to DeathMatch Mai Lay Dan! You can download this & other missions made by Com. Sentinal [M.I.B.] in the \"MIB Map Packs\" at www.starsiegeplayers.com or on the MIB Website at www.starsiegemeninblack.cjb.net.");
}

function onMissionLoad()
{
   cdAudioCycle("Yougot", "Purge", "Watching"); 
}