// FILENAME:	DM_Mars_Cavern.cs
//
// AUTHOR:  	Col. Stormtrooper MIB
//------------------------------------------------------------------------------
// Stealth Detection - Set to true & players with a "/" in front of their
// will be detected when they join or leave the server.

$stealthDetect = true;    //Set to false to turn off stealth detection

//------------------------------------------------------------------------------
$missionName = "DM_Mars_Cavern";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	desertSounds();
}

function vehicle::onAdd(%dude)
{
   
	if($server::TeamPlay == false)
	{
		setvehiclespecialidentity(%dude, on, yellow);
	}

	else if(getTeam(%dude) == *IDSTR_TEAM_RED)
	{
		setvehiclespecialidentity(%dude, on, red);
	}

	else if(getTeam(%dude) == *IDSTR_TEAM_BLUE)
	{
		setvehiclespecialidentity(%dude, on, blue);
	}
}

function onMissionLoad()
{
   cdAudioCycle("Cyberntx", "Cloudburst", "Terror"); 
}

function player::onAdd(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
        say(0,0,"<f4>"@getname(%player)@" joined the game","alarm2.wav");
        messagebox(%player,"This server is equipped with an anti-stealth detection system. The slash on your name has been detected. All players have been alerted to your presence.");
   }
   say(%player, 0, "Welcome to DeathMatch Mars Cavern! You can download this & other missions made by Col. Stormtrooper [M.I.B.] in the \"MIB Map Packs\" at www.starsiegeplayers.com or on the MIB Website at www.starsiegemeninblack.cjb.net.");
}

function player::onRemove(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
      say(0,0,"<f4>"@getname(%player)@" left the game","alarm2.wav");
   }
}

//                           //FUNCTIONS TO PLAY AROUND WITH\\
//getVehicleAvailableMass();
//getVehicleHUDName();
//getVehicleName();
//getVehicleNavMarkerLocation();
//getVehicleTechBase();
//getWeaponCount();
//PickVehicle();
//setVehicleRadarVisible();
//setVehicleSpecialIdentity();
//stopAnimSequence();
//showLowerStars();

//targetDamage();
//returns true when objectID is hit
//useageExample:
//function vehicle::onAttacked(%this)
//{
//if(%this == getObjectID($PAL))//decoded $Pal only
//{
//messageBox(0, Targetdamage(%this));//allways true when $Pal was hit
//say(0, 0, "Hit on Pal", "");   //confirms $Pal was hit
//}
//}

//translucentCockpit();
//vehicle::onAction()
//warpObject();
//smoothCameraPath();
//structure::onDisabled()